import request from '@/utils/request'

// 登录方法
export function login(username, password, acctID,lcid) {

	const data = {
		acctID,
		username,
		password,
		lcid
	}

	return request({
		'url': 'AuthService.ValidateUser.common.kdsvc',
		'header': {
			 'content-type':'application/x-www-form-urlencoded; charset=UTF-8'//重点
		},
		'method': 'post',
		'data': data
	})
}

// 获取用户详细信息
export function getInfo() {
	return request({
		'url': '/sys/user/getLoginUser',
		'method': 'get'
	})
}

// 退出方法
export function logout() {
	return request({
		'url': '/user/logout',
		'method': 'post'
	})
}