const TokenKey = 'App-Token'
const AdminTypeKey = 'App-AdminType'
const ServerUrlKey = 'ServerUrl'
const UserGuidKey = 'UserGuid'
export function getToken() {
	return uni.getStorageSync(TokenKey)
}

export function setToken(token) {
	return uni.setStorageSync(TokenKey, token)
}

export function removeToken() {
	return uni.removeStorageSync(TokenKey)
}

export function setServerUrl(ServerUrl) {
	return uni.setStorageSync(ServerUrlKey, ServerUrl)
}

export function getServerUrl() {
	return uni.getStorageSync(ServerUrlKey)
}
export function setUserGuid(UserGuid) {
	return uni.setStorageSync(UserGuidKey, UserGuid)
}
export function getUserGuid() {
	return uni.getStorageSync(UserGuidKey)
}

export function getAdminType() {
	return uni.getStorageSync(AdminTypeKey)
}

export function setAdminType(adminType) {
	console.log(adminType)
	return uni.setStorageSync(AdminTypeKey, adminType)
}

export function removeAdminType() {
	return uni.removeStorageSync(AdminTypeKey)
}